summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dimitris Papastamos <sin@2f30.org>2014-11-12 06:53:00 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-12 06:53:00 +0700
commit551c1b4f8a85229354ac3a3a861bbb6f8c0f6780 (patch)
tree9e028ca2301c5e1a38121d952ac971a71e71dd2c /system
parent73d6b128f9ef5aa3f7b3dc78b6b3c7033b0a4666 (diff)
downloadslackbuilds-551c1b4f8a85229354ac3a3a861bbb6f8c0f6780.tar.gz
slackbuilds-551c1b4f8a85229354ac3a3a861bbb6f8c0f6780.tar.xz
system/xbattmon: Added (simple battery status bar).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/xbattmon/README1
-rw-r--r--system/xbattmon/slack-desc19
-rw-r--r--system/xbattmon/xbattmon.SlackBuild86
-rw-r--r--system/xbattmon/xbattmon.info10
4 files changed, 116 insertions, 0 deletions
diff --git a/system/xbattmon/README b/system/xbattmon/README
new file mode 100644
index 0000000000..4319ef5504
--- /dev/null
+++ b/system/xbattmon/README
@@ -0,0 +1 @@
+xbattmon is a simple battery status bar.
diff --git a/system/xbattmon/slack-desc b/system/xbattmon/slack-desc
new file mode 100644
index 0000000000..a146399dab
--- /dev/null
+++ b/system/xbattmon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------|
+xbattmon: xbattmon (simple battery status bar)
+xbattmon:
+xbattmon: xbattmon is a simple battery status bar for X. It is similar to
+xbattmon: xbattbar but simpler and works on modern Linux systems.
+xbattmon:
+xbattmon: http://git.2f30.org/xbattmon/
+xbattmon:
+xbattmon:
+xbattmon:
+xbattmon:
+xbattmon:
diff --git a/system/xbattmon/xbattmon.SlackBuild b/system/xbattmon/xbattmon.SlackBuild
new file mode 100644
index 0000000000..8f83e68d30
--- /dev/null
+++ b/system/xbattmon/xbattmon.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for xbattmon
+#
+# © 2014 Dimitris Papastamos <sin@2f30.org>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=xbattmon
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+mv config.def.h config.h
+
+./configure
+make \
+ CFLAGS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man
+
+make install \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xbattmon/xbattmon.info b/system/xbattmon/xbattmon.info
new file mode 100644
index 0000000000..7a59bbf998
--- /dev/null
+++ b/system/xbattmon/xbattmon.info
@@ -0,0 +1,10 @@
+PRGNAM="xbattmon"
+VERSION="0.4"
+HOMEPAGE="http://git.2f30.org/xbattmon/"
+DOWNLOAD="http://dl.2f30.org/releases/xbattmon-0.4.tar.gz"
+MD5SUM="834eb8b9e9b1676d9296a20d13d2496f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libbsd"
+MAINTAINER="Dimitris Papastamos"
+EMAIL="sin@2f30.org"